modded_category = {
	type = "rail-category",
	name = "modded"
}

modded_straight_rail = table.deepcopy(data.raw['straight-rail']['straight-rail'])
modded_straight_rail.name = "modded-straight-rail"
modded_straight_rail.rail_category = "modded"
modded_straight_rail.collision_box = {{-0.1,-0.1},{0.1,0.1}}
modded_straight_rail.collision_mask = {"ghost-layer"}
modded_straight_rail.order = "zzz"

modded_curved_rail = table.deepcopy(data.raw['straight-rail']['straight-rail'])
modded_curved_rail.name = "modded-curved-rail"
modded_curved_rail.rail_category = "modded"
modded_curved_rail.collision_box = {{-0.1,-0.1},{0.1,0.1}}
modded_curved_rail.collision_mask = {"ghost-layer"}
modded_curved_rail.order = "zzz2"

modded_item = {
    type = "rail-planner",
    name = "modded-rail",
    icon = "__base__/graphics/icons/rail.png",
    flags = {"goes-to-quickbar"},
    subgroup = "transport",
    order = "a[train-system]-a[rail]2",
    place_result = "modded-straight-rail",
    stack_size = 100,
    straight_rail = "modded-straight-rail",
    curved_rail = "modded-curved-rail"
}

modded_recipe = {
    type = "recipe",
    name = "modded-rail",
    enabled = true,
    ingredients =
    {
      {"stone", 1},
      {"iron-stick", 1},
      {"steel-plate", 1}
    },
    result = "modded-rail",
    result_count = 2,
    requester_paste_multiplier = 4
  }

data:extend({modded_category, modded_straight_rail, modded_curved_rail, modded_item, modded_recipe})